plugins {
    id("d.convention.library")
    id("d.convention.coroutines")
    id("d.convention.compose")
    id("d.convention.hilt")
    id("d.convention.lifecycle")
    id("d.convention.navigation")
}

android {
    namespace = "com.zaojiao.app.core.auth"
}

dependencies {
    implementation(project(":core:common"))

    implementation("androidx.appcompat:appcompat:1.6.1")
    implementation("com.google.android.material:material:1.9.0")
    implementation("androidx.startup:startup-runtime:1.1.1")

    implementation("com.squareup.okhttp3:okhttp:4.10.0")
    implementation("com.squareup.retrofit2:retrofit:2.9.0")
    implementation("com.squareup.retrofit2:converter-moshi:2.9.0")
    implementation("com.squareup.moshi:moshi:1.15.0")
    implementation("com.squareup.moshi:moshi-kotlin:1.15.0")

    implementation("com.alibaba.fastjson2:fastjson2-kotlin:2.0.35")
    implementation("org.jetbrains.kotlin:kotlin-stdlib:1.8.21")
    implementation("org.jetbrains.kotlin:kotlin-reflect:1.8.21")

    implementation("androidx.datastore:datastore-preferences:1.0.0")
    implementation("org.jetbrains.kotlinx:kotlinx-serialization-json:1.5.1")
}